import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PdfGroupSelectObjectSchema as PdfGroupSelectObjectSchema } from './PdfGroupSelect.schema';
import { PdfGroupIncludeObjectSchema as PdfGroupIncludeObjectSchema } from './PdfGroupInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => PdfGroupSelectObjectSchema).optional(),
  include: z.lazy(() => PdfGroupIncludeObjectSchema).optional()
}).strict();
export const PdfGroupArgsObjectSchema = makeSchema();
export const PdfGroupArgsObjectZodSchema = makeSchema();
